Subject: Re: bug#77988: 31.0.50; No more images after fullscreen and load-theme

From: Manuel Giraud <[email-masked]>
Date: Wed, 21 May 2025 13:47:24 +0200

Alan Third <[email-masked]> writes:

[...]

> I think it's an issue at the display end. As Elijah says, if Cairo is
> enabled it doesn't happen.
>
> Reverting commit 6ea69fc7340e48cf73df351a544c1d8946395b3d seems to
> make the problem go away. Cairo doesn't use the x_composite_image
> function. It looks like the destination parameter is not always valid.
> I had a look and it's usually populated from FRAME_X_PICTURE (s->f)
> but a quick investigation left me none-the-wiser as to where THAT is
> set and why it might go bad.

Thanks.  I confirm that reverting this patch fixes the issue.
-- 
Manuel Giraud